.TextMessage {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 45px;
    padding: 4px;
    background-color: var(--blue-04);
    border-top: 1px solid var(--blue-01);
    color: var(--white-02);
    display: flex;
}

.TextMessage_p {
    margin: 0;
    font-size: 9px;
    font-weight: 550;
    text-align: justify;
}

.TextMessage span {
    opacity: 0;    
    font-family: 'VT323', sans-serif !important;
    text-transform: uppercase;
}

.TextMessage span.revealed {
    opacity: 1;
}

.ImgIcon {
    width: 10px;
    height: 10px;
    margin-right: 5px;
}

.TextMessage_button {
    margin: 2px;
    font-size: 8px;
    padding: 2px;
    -webkit-appearance: none;
    background-color: transparent;
    border: 1px solid var(--blue-01);
    color: var(--white-02);
    border-radius: 2px;
    font-family: inherit;
    cursor: pointer;
    position: absolute;
    right: 0;
    bottom: 0;
    transition: .2s ease-out;
    display: none;
}

.TextMessage_button:hover {
    transition: .2s ease; 
    background-image: linear-gradient(
        to right, 
        #E7484F,
        #F68B1D, 
        #FCED00,
        #009E4F,
        #00AAC3,
        #732982
      );
    animation:slidebg 8s linear infinite;
}

@keyframes slidebg {
    to {
      background-position:20vw;
    }
}

@media ((max-width: 920px) and (max-height: 420px)) {
    .ImgIcon {
        width: 15px;
        height: 15px;
    }

    .TextMessage_p {
        font-size: 14px;
    }
}